[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: new tar behavior and --wildcards

On Mon, Jun 26, 2006 at 01:22:12PM -0600, Bdale Garbee wrote:
> Since this seems to have been an intentional behavior change by
> upstream to better align with a published standard, I'm uninclined to
> fight it, and think our best response is to update our utilities to
> include the --wildcards option, with a suitable versioned dependency on
> tar.

Debian still has to provide an upgrade path for users upgrading from Sarge.
We cannot blindly break users scripts.

Also, before doing such change we need to audit:

1) all build scripts (i.e. rebuild the whole archive with the new tar)
   and see how many packages FTBFS.
2) all Sarge maintainer scripts, init script and cron scripts
3) all Etch  maintainer scripts, init script and cron scripts
4) all Sarge packages for tar usage to allow for partial upgrade.
5) all Etch packages for tar usage 

We did something similar with "su" but we did it earlier in the release
cycle, and I think we have already lot of work to do to release etch on

Bill. <ballombe@debian.org>

Imagine a large red swirl here. 

Reply to: